On Wed, 2010-06-30 at 22:53 +0100, Chris Vine wrote:
> Can you help me on what gnome components compiled for gnome-2.30.0/1
> might now be broken and require recompilation (apart from evolution
> itself, that is)?  It looks from that bug report as if that will
> include ekiga, as well as empathy.

Given the same situation again I would not agree to such a change now
that I'm fully aware of the extent of the pain it causes.  Instead I
would have tracked down exactly which projects are affected by the
removed symbols (in this case probably not that many) and notified each
project individually.

Packages requiring recompilation on Fedora 13 were:

$ repoquery --whatrequires --alldeps libedataserver-1.2.so.11 | sort
almanah-0:0.7.2-1.fc13.i686
anerley-1:0.1.8-3.fc13.i686
anjal-0:0.3.2-1.fc13.i686
contact-lookup-applet-0:0.17-3.fc12.i686
contacts-0:0.9-5.fc13.i686
dates-0:0.4.11-3.fc13.i686
deskbar-applet-0:2.30.0-1.fc13.i686
ekiga-0:3.2.6-2.fc13.i686
empathy-0:2.30.1-2.fc13.i686
evolution-couchdb-0:0.3.2-2.fc13.i686
evolution-sharp-0:0.21.1-5.fc13.i686
giggle-0:0.4.96-1.fc13.i686
glabels-0:2.2.7-1.fc13.i686
gnome-launch-box-0:0.4-17.fc13.i686
gnome-panel-0:2.30.0-1.fc13.i686
gnome-phone-manager-0:0.65-5.fc12.i686
gnome-phone-manager-telepathy-0:0.65-5.fc12.i686
gnome-python2-evolution-0:2.30.0-2.fc13.i686
jana-0:0.4.5-0.3.20090622gitb416a41.fc12.i686
libopensync-plugin-evolution2-1:0.22-3.fc13.i686
mail-notification-evolution-plugin-0:5.4-18.fc13.i686
moblin-panel-myzone-0:0.0.13-2.fc13.i686
moblin-panel-people-0:0.0.10-4.fc13.i686
nautilus-sendto-0:2.28.4-1.fc13.i686
planner-eds-0:0.14.4-18.fc13.i686
ruby-revolution-0:0.5-3.svn210.fc12.i686
syncevolution-0:0.9.2+1.0alpha1-1.fc13.i686
tasks-0:0.16-2.fc12.i686
tracker-search-tool-0:0.8.4-1.fc13.i686


_______________________________________________
evolution-hackers mailing list
evolution-hackers@gnome.org
To change your list options or unsubscribe, visit ...
http://mail.gnome.org/mailman/listinfo/evolution-hackers

Reply via email to